> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 重命名会话

> 重命名会话或自动生成名称。会话名称用于在支持多会话的客户端上显示。



## OpenAPI

````yaml /zh/api-reference/openapi_chatflow.json post /conversations/{conversation_id}/name
openapi: 3.0.1
info:
  title: 工作流编排对话型应用 API (对话流 API)
  description: >-
    对话流应用支持会话持久化，允许将之前的聊天记录作为响应的上下文。对话流应用使用 `advanced-chat`
    模式，提供工作流级别的流式事件，用于详细的执行追踪，包括节点开始、完成、迭代和工作流生命周期。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: 工作流编排对话型应用 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - name: 对话流
    description: 对话流应用的操作，包括对话消息、工作流执行详情和事件流。
  - name: 文件操作
    description: 文件上传和预览操作。
  - name: 终端用户
    description: 终端用户信息相关操作。
  - name: 消息反馈
    description: 用户反馈操作。
  - name: 会话管理
    description: 与管理会话相关的操作。
  - name: 语音与文字转换
    description: 文字转语音和语音转文字操作。
  - name: 应用配置
    description: 获取应用设置和信息的操作。
  - name: 标注管理
    description: 与管理标注直接回复相关的操作。
  - name: 人工介入
    description: 暂停等待人工输入的工作流恢复操作。
paths:
  /conversations/{conversation_id}/name:
    post:
      tags:
        - 会话管理
      summary: 重命名会话
      description: 重命名会话或自动生成名称。会话名称用于在支持多会话的客户端上显示。
      operationId: renameConversationCn
      parameters:
        - name: conversation_id
          in: path
          required: true
          description: 会话 ID。
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConversationRenameRequest'
            examples:
              renameExample:
                summary: 请求示例
                value:
                  name: iPhone Specs Chat
                  user: abc-123
      responses:
        '200':
          description: 会话重命名成功。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationListItem'
              examples:
                renamedConversation:
                  summary: 响应示例
                  value:
                    id: 45701982-8118-4bc5-8e9b-64562b4555f2
                    name: iPhone Specs Chat
                    inputs:
                      city: San Francisco
                    status: normal
                    introduction: Welcome! How can I help you today?
                    created_at: 1705407629
                    updated_at: 1705411229
        '400':
          description: '`not_chat_app` : 应用模式与 API 路由不匹配。'
          content:
            application/json:
              examples:
                not_chat_app:
                  summary: not_chat_app
                  value:
                    status: 400
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
        '404':
          description: '`not_found` : 会话不存在。'
          content:
            application/json:
              examples:
                conversation_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Conversation Not Exists.
components:
  schemas:
    ConversationRenameRequest:
      type: object
      description: 重命名会话的请求体。
      required:
        - user
      properties:
        name:
          type: string
          description: 会话名称。当 `auto_generate` 为 `false` 时必填。
        auto_generate:
          type: boolean
          default: false
          description: 自动生成会话名称。当为 `true` 时，`name` 字段将被忽略。
        user:
          type: string
          description: 用户标识符。
    ConversationListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: 会话 ID。
        name:
          type: string
          description: 会话名称。
        inputs:
          type: object
          additionalProperties: true
          description: 会话的输入变量。
        status:
          type: string
          description: 会话状态。活跃会话为 `normal`。
        introduction:
          type: string
          description: 会话介绍。
        created_at:
          type: integer
          format: int64
          description: 创建时间戳。
        updated_at:
          type: integer
          format: int64
          description: 最后更新时间戳。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 认证。对于所有 API 请求，请在 `Authorization` HTTP 头中包含您的 API Key，并加上
        `Bearer ` 前缀。示例：`Authorization: Bearer {API_KEY}`。**强烈建议将 API Key
        存储在服务端，不要在客户端共享或存储，以避免 API Key 泄漏导致严重后果。**

````